#ifndef MSGCLIENT_HH
#define MSGCLIENT_HH

#include<iostream>
#include<sstream>

#include "iclient.hh"
#include "msgConstants.hh"

class msgClient {

	private:
		iclient client;
		bool isconnected;
		std::string name;
		std::string s_name;
		unsigned int s_port;
		
	public:
		msgClient();
		~msgClient();
		bool connect(std::string name, std::string server, unsigned int port);
		void disconnect();
		bool isConnected();
		bool isMessageWaiting();
		bool sendMessage(std::string dest, std::string content);
		std::pair<std::string, std::string> getMessage();
		std::pair<std::string, std::string> getBlockingMessage();
		
};

#endif
